Why does Salesforce return '550 5.7.1 sender not authorized' when sending via SMTP?

You’re sending an email through Salesforce SMTP, and it fails with “550 5.7.1 sender not authorized.” You’ve checked your credentials. You’ve verified the recipient address. The email looks correct. So why is it getting rejected?

The answer lies in one often-overlooked piece of DNS: your SPF record. Even if your domain passes DKIM and DMARC, a single misconfiguration in SPF can block delivery—especially when Salesforce sends on your behalf.

SPF records define which IPs or services are allowed to send mail for your domain. Salesforce uses its own infrastructure, but the receiving server checks the SPF record of your sending domain, not Salesforce’s IP. If your SPF record doesn’t include Salesforce’s servers, the email gets rejected—regardless of other authentication.

Key takeaways

  • SPF record issues are a common cause of "550 5.7.1 sender not authorized" when using Salesforce SMTP.
  • Even with valid DKIM and DMARC, a missing or overly restrictive SPF record can block email delivery.
  • Salesforce’s sending IPs must be explicitly authorized in your domain’s SPF record to prevent rejection.

How SPF, DKIM, and DMARC work together to validate sender authority

You can’t reliably send emails from Salesforce or any third-party service unless SPF, DKIM, and DMARC are properly configured. SPF checks if the sending IP is authorized to send on behalf of your domain. DKIM proves the email content hasn’t been tampered with and comes from your domain. DMARC ties both together, telling receiving servers what to do if either check fails. Without all three aligned, your emails get blocked with a "550 5.7.1 sender not authorized" error — especially during Salesforce syncs.

SPF: The IP Authorization Check

SPF is the first line of verification. It’s a DNS record listing the IPs or services allowed to send emails for your domain. When Salesforce sends an email, the recipient’s mail server checks your SPF record. If the sending IP isn’t listed, the email fails SPF and may be rejected outright.

Many organizations miss this because Salesforce uses a shared IP pool. You can't just add one IP; you need to include the entire Salesforce IP range. Misconfiguring SPF — like using too many mechanisms or exceeding lookup limits — can cause it to fail silently, even if it looks correct in a tool.

DKIM: Content Integrity and Domain Trust

DKIM adds a cryptographic signature to each email. It proves the message wasn’t altered in transit and comes from your domain. When Salesforce sends an email, it signs it using your domain’s private key. The recipient uses your public key (published in DNS) to verify the signature.

If DKIM fails — for example, if headers were modified during routing — the message fails authentication. This is common during email forwarding or when using marketing templates that insert tracking pixels or modify content. Even a small change breaks the DKIM signature.

DMARC: The Policy Enforcement Layer

DMARC tells email receivers what to do if SPF or DKIM fails. It’s a DNS record that sets policies: reject, quarantine, or monitor failed messages. It also enables reporting so you can see what’s failing and why.

When Salesforce sends emails, the recipient’s server checks SPF and DKIM. If both pass, DMARC allows delivery. If one fails, DMARC enforces your policy — often leading to rejection with a 550 error. Without DMARC, even valid emails may be ignored or sent to junk.

When you sync emails through Salesforce, all three protocols must be in sync. Even one mismatch can trigger rejection. Use a tool like bulk email list cleaning to test and validate your sender setup across domains before sending at scale.

For deeper insight, the IETF's RFC 7052 outlines best practices for email authentication. You can read the official spec at tools.ietf.org/html/rfc7052.

Common SPF record misconfigurations that trigger 550 5.7.1 errors

SPF record errors that cause the 550 5.7.1 "sender not authorized" rejection during Salesforce email sync usually stem from one of five core issues: missing records, malformed include directives, excessive DNS lookups, contradictory mechanisms, or over-restrictive policies. Without a valid SPF record, mail servers assume your domain is sending unauthorized mail. Even small missteps in the configuration can break delivery, especially when Salesforce’s dynamic IP pool is involved.

Missing or incomplete SPF records

If your domain lacks an SPF record entirely, receiving servers have no way to verify if Salesforce’s IP addresses are authorized to send on your behalf. This results in immediate rejection. The SPF protocol doesn't allow fallbacks — without a record, authorization fails by default. According to RFC 7208, SPF policies must be explicitly defined; absence equates to no permission.

Incorrect include directives and policy contradictions

Using include:_spf.salesforce.com without a valid SPF record on your domain fails because the include can’t resolve. It’s not enough to reference Salesforce’s SPF — you must also have a properly formatted, valid record of your own. Misusing all mechanisms is another common mistake: including both +all and -all creates a self-contradictory policy that most servers treat as soft-fail or rejection.

Too many DNS lookups or overly restrictive policies

SPF limits DNS lookups to 10 per verification. If your record includes multiple third-party services or nested include tags, you exceed this limit. When that happens, servers apply a soft-fail or reject the email outright. Similarly, overly restrictive policies — like allowing only one specific IP — break when Salesforce’s outbound IPs change, which they do frequently. A single IP policy will block Salesforce unless updated hourly, which isn’t feasible at scale.

Let’s be clear: SPF isn’t just a technical detail. It’s a gatekeeper. A single misconfigured line can break email sync across thousands of records. For teams that rely on Salesforce, verifying your domain’s SPF policy and ensuring it allows Salesforce’s sending IPs without excessive lookups is essential. Test your SPF with tools like MxToolbox or the Spamhaus lookup service to validate it in real time.

Preventing 550 5.7.1 errors doesn’t start with a server tweak — it starts with clean, verified data. If you're syncing lists, ensure sender alignment and avoid policies that break when IPs shift. You can validate your domain's SPF readiness and test your list’s deliverability with real-time tools that check for SPF, MX, and DNS health. Test inbox placement and SPF consistency across major providers before launching campaigns.

How to verify your SPF record is correctly configured for Salesforce

If your Salesforce email sync fails with a 550 5.7.1 sender not authorized error, the issue is likely a misconfigured SPF record. You must ensure your domain’s TXT record explicitly allows Salesforce’s sending infrastructure by including v=spf1 include:_spf.salesforce.com -all. Misconfigurations like exceeding the 10 DNS lookup limit, duplicate records, or syntax errors can block legitimate emails. Validating the record’s structure and resolving behavior is essential.

Check and verify your SPF record

  1. Use a tool like MxToolbox or the command-line dig to retrieve your domain’s TXT records. Look for the SPF entry that includes include:_spf.salesforce.com. If it’s missing or incorrect, Salesforce emails will be rejected.
  2. Ensure the SPF policy is exactly: v=spf1 include:_spf.salesforce.com -all. This grants Salesforce permission to send on your behalf. Omitting -all or using +all can cause deliverability issues. Refer to RFC 7208 for how SPF policies are interpreted.
  3. Count how many DNS lookups your SPF record triggers. Each include, redirect, or exp directive adds one lookup. Salesforce’s include alone counts as one. If you exceed 10 lookups, SPF fails. You can test this with tools like SPF Survey.
  4. Test the SPF record using a real-time verification tool. Services like Email List Validation’s real-time API can validate not only email addresses but also the underlying sender policies, including SPF compliance, before sending.
  5. Check for malformed syntax. Avoid extra quotes, spaces, or multiple SPF records. You should have only one TXT record with an SPF definition. A duplicate or malformed entry causes DNS validation failure even if the content is otherwise correct.

Validate before sending at scale

Even with a correct record, transient issues like greylisting or IP reputation can block delivery. Use inbox placement testing to see how your Salesforce-sourced emails land in real inboxes rather than spam. Tools like Email List Validation’s inbox placement tests simulate real-world delivery conditions and help you catch configuration drift before campaigns run.

SPF is one layer of email authentication. When combined with DKIM and DMARC (RFC 7483, RFC 7660), it forms a solid foundation. But SPF misconfiguration remains a top cause of bounce and blocklist issues, especially in platform integrations like Salesforce. Fixing it early prevents wasted sends and maintains sender reputation.

SPF vs DKIM vs DMARC: Their distinct roles in email authentication

SPF, DKIM, and DMARC aren’t interchangeable—they’re a layered defense. SPF checks if the sending IP is authorized, DKIM verifies the message wasn’t tampered with, and DMARC sets the policy for what happens when either SPF or DKIM fails. Even if DKIM and DMARC are perfectly configured, a failing SPF record can still trigger a 550 5.7.1 error during Salesforce email sync because the sender IP isn’t in the approved list.

How Each Protocol Works

Let’s break down what each one actually does—without the jargon.

  • SPF (Sender Policy Framework): Checks the sending IP against a list of authorized IPs in the domain’s DNS record. If the IP isn’t on the list, the email is rejected.
  • DKIM (DomainKeys Identified Mail): Adds a digital signature to the email headers. If the signature doesn’t match, the message is flagged as altered in transit.
  • DMARC (Domain-based Message Authentication, Reporting & Conformance): Tells the receiving server what to do if SPF or DKIM fails—either quarantine, reject, or allow.
ItemDetails
SPF (Sender Policy Framework)Checks the sending IP against a list of authorized IPs in the domain’s DNS record. If the IP isn’t on the list, the email is rejected.
DKIM (DomainKeys Identified Mail)Adds a digital signature to the email headers. If the signature doesn’t match, the message is flagged as altered in transit.
DMARC (Domain-based Message Authentication, Reporting & Conformance)Tells the receiving server what to do if SPF or DKIM fails—either quarantine, reject, or allow.
The 3 items listed under “How Each Protocol Works”, side by side.

The Real-World Trade-Offs

You can have perfect DKIM and DMARC, but if SPF is misconfigured, you’ll still get 550 5.7.1 errors during syncing, especially in environments like Salesforce where strict sender validation is enforced. This is not a flaw—it’s how the system is designed to work.

For example, if an email goes through a relay or a third-party server not in your SPF list, SPF fails—even if DKIM validates and DMARC permits it. The receiving server sees SPF as the first line of defense and blocks the message before enforcement policies kick in.

Mechanism Purpose Checks For
SPF Sender IP validation Whether the sending IP is in the approved list
DKIM Message integrity Whether the email was altered in transit
DMARC Enforcement policy What to do if SPF or DKIM fails

SPF alone doesn’t ensure inbox delivery. It’s part of a system. You can verify SPF records using tools like MXToolbox or RFC 7208. But the best way to catch issues early is to test your full email flow.

If your Salesforce sync fails with “sender not authorized,” check SPF first. Use bulk email verification to ensure your sending domains and IP addresses are clean and properly authenticated—preventing these errors before they hit your campaigns.

Why Salesforce doesn’t bypass SPF validation — even when using its own domain

You’re seeing "550 5.7.1 sender not authorized" during Salesforce email sync because Salesforce sends emails from your company’s domain (like yourcompany.com), not its own. Even though the message originates from Salesforce’s systems, the receiving mail server checks the SPF record for yourcompany.com — not salesforce.com. If your SPF record doesn’t explicitly allow Salesforce’s IP addresses, the email gets rejected, regardless of the sending service. This applies to every outbound message from Salesforce: reports, notifications, campaigns, and syncs.

How SPF enforcement works in practice

When Salesforce sends an email on your behalf, it uses your domain in the "From" header. That means the receiving server performs an SPF check against your domain's DNS records. This is standard behavior across all major email providers, as defined in RFC 7208. The sending service’s domain (like salesforce.com) is not the focus — the domain in the envelope sender (Return-Path) and the From header is.

Let’s say your SPF record currently only permits AWS SES and your own internal mail server. Salesforce’s IP pool is not listed. The receiving server will compare the sending IP against your SPF record. If the IP isn’t authorized, the server returns a 550 5.7.1 error, even if the message is coming from Salesforce’s infrastructure.

Why Salesforce can’t override this

Even though Salesforce is a trusted third-party, it doesn’t get special dispensation to bypass SPF. Mail servers treat all outbound messages the same: they check the domain they’re sent from. This is not a Salesforce limitation — it’s a universal email security practice designed to prevent spoofing.

SPF records are intended to be restrictive and specific. If your SPF record is too permissive, it can be exploited for spam. If it’s too narrow, valid senders like Salesforce get blocked. A balanced approach is key. You can verify your current SPF alignment and catch gaps before they cause sync failures.

Tools like bulk email list cleaning can help you detect problematic domains and email patterns that might be causing deliverability issues across systems — including Salesforce syncs. This includes identifying when sender reputation or email hygiene issues overlap with technical SPF concerns.

For detailed guidance on SPF, DKIM, and DMARC setup, refer to the IETF’s official SPF specification. It outlines how email receivers should validate senders based on DNS records, not service providers.

How to test SPF and sender authentication in real time before sending

You can catch SPF record issues causing 550 5.7.1 sender not authorized errors before they break Salesforce sync by testing each email in real time. Use Email List Validation’s API to validate SPF, DKIM, and DMARC policies on the fly, flag risky domains, and test inbox placement across Gmail, Outlook, and Yahoo — all before you send or sync.

Test individual emails during Salesforce sync

  • Integrate Email List Validation’s real-time verification API into your sync process to check each recipient’s authentication setup as it’s processed.
  • Let the API return verdicts like "valid," "catch-all," "risky" (due to incomplete SPF or DMARC), or "invalid" — no guesswork.
  • If an email fails SPF or DMARC check, you’ll know instantly and can skip the send or flag the record for review.

Validate entire lists and assess deliverability

  • Run a bulk verification on your entire list before syncing with Salesforce using bulk email list cleaning to surface domains with failed SPF or DMARC policies.
  • Use inbox-placement testing to see how your emails are likely to land — in the inbox, spam, or blocked — across Gmail, Outlook, and Yahoo. This reveals if poor sender authentication is already harming deliverability.
  • Spam filters like Gmail’s and Microsoft’s use SPF, DKIM, and DMARC as core signals; a single misconfigured record can drop your score per RFC 7208.

The API doesn’t just check syntax. It simulates real mail server behavior by testing if the domain's SPF record allows your sending IP, whether DKIM is properly signed, and if DMARC policies are enforced — not just published.

A single failed SPF check during a sync isn’t just a bounce; it’s a signal that your sender reputation may be at risk. By testing in real time, you reduce the chance of being blocked by the very systems you’re trying to reach. This approach is standard in high-volume, high-compliance email programs.

Don’t wait for bounces or blacklisting. Catch issues before they cause failures. Even with a clean list, one misconfigured domain can trigger rejection. Real-time validation is not optional — it’s how you maintain inbox placement at scale.

What to do when a Salesforce sync fails with '550 5.7.1 sender not authorized'

If your Salesforce email sync fails with "550 5.7.1 sender not authorized," it’s likely because the recipient’s mail server rejected the message due to SPF record misconfiguration. The most common fix is ensuring your domain’s SPF policy explicitly includes _spf.salesforce.com, and that you don’t have multiple SPF records conflicting. Double-check third-party sender authorizations and verify your entire list for alignment issues before syncing.

Step-by-step fix for SPF record issues

  1. Check your domain’s SPF record using tools like MXToolbox or RFC 7208. Ensure it includes your company’s domain (e.g. yourcompany.com) and explicitly allows Salesforce.
  2. Confirm _spf.salesforce.com is in your SPF policy. If it’s missing, add it using the include mechanism: include:_spf.salesforce.com. Without this, Salesforce emails will be rejected.
  3. Validate third-party sender authorizations. If you’re using a marketing platform, email service, or another sender, ensure it’s included in your SPF record. Each extra sender must be explicitly listed—no assumptions.
  4. Remove duplicate SPF records. Having more than one SPF TXT record causes validation failures. Merge all entries into a single, properly formatted TXT record.
  5. Test SPF alignment across your list. Use bulk email list verification to scan your recipient list for SPF, DKIM, and DMARC alignment issues before sync. This identifies risky domains early.

Why catching SPF issues early matters

Syncing a list with misaligned SPF records leads to hard bounces, high deliverability risk, and potential IP or domain blocklisting. Even one unauthorized sender in your pipeline can degrade sender reputation across multiple platforms.

Let’s be honest: SPF records are easy to get wrong. A single typo, a redundant record, or an overlooked third-party tool can trigger a 550 5.7.1 error. Fixing it requires precision, not guesswork. The best time to check is before sending—when verification is still efficient and low cost.

For teams syncing large lists, verifying sender domains at scale prevents unnecessary load on your team and Salesforce infrastructure. Inbox placement testing can also simulate real-world delivery outcomes across major providers, giving you insight before you send.

How Email List Validation helps prevent 550 5.7.1 errors during Salesforce sync

You’re seeing 550 5.7.1 “sender not authorized” errors during Salesforce email sync because some recipients’ domains have broken SPF, DKIM, or DMARC records. Our 98.9% accurate email verification catches these issues before they disrupt your syncs. It flags domains with missing, invalid, or misconfigured authentication setups, so you only send to addresses where the infrastructure supports delivery. This reduces sync failures, avoids unnecessary retries, and keeps your sender reputation intact.

Bulk checks catch broken authentication early

Let’s say you’re syncing a 10,000-record list from Salesforce. Without verification, you could be pushing emails to domains where SPF is misconfigured or missing entirely—exactly the kind of setup that triggers a 550 5.7.1 error. Our bulk verification tool scans for these red flags across your entire list, identifying domains with weak or broken authentication. You can clean your list before sync, so no email even attempts to send to a domain that’s blocking you on technical grounds.

SPF, DKIM, and DMARC are not optional. They’re standard email authentication protocols defined in RFCs 7208, 5617, and 7483. When any of them are missing or invalid, receiving servers reject the email—even if the address itself is valid. You can’t assume a domain is safe to send to just because the email is syntactically correct.

Real-time checks and integrations stop issues at the source

For ongoing campaigns, you don’t want to rely on pre-sync cleanup alone. Our real-time API checks confirm authentication status on every address as it’s added or sent. If a user’s domain lacks valid SPF, the system returns a “risky” or “invalid” verdict. This stops delivery attempts before they happen.

If you use HubSpot, Mailchimp, Klaviyo, or SendGrid, our integrations plug directly into your workflow. That means each time you add a contact or send an email, the system validates the domain's authentication status right at the point of use. No more guesswork. No more blocked sends.

Even if you’re not a developer, our built-in AI assistant helps interpret the results. When a domain shows “SPF malformed,” it doesn’t just report the problem—it suggests next steps: check DNS records, ensure the domain is not listed in blocklists like Spamhaus, or verify that the SPF record isn’t too long (over 10 clauses triggers failures).

With real-time checks and proactive cleaning, you reduce bounce rates from authentication failures and improve inbox placement. You can trust that when your Salesforce sync goes through, the email will reach the inbox—because the domain itself is properly configured.

Learn how to validate entire email lists at scale: clean your list before sync.

The cost of ignoring SPF misconfigurations during Salesforce automation

When SPF records are misconfigured during Salesforce email syncs, your messages get blocked with a 550 5.7.1 "sender not authorized" error, causing high bounce rates, degraded sender reputation, and wasted sends. Over time, repeated failures trigger throttling or blacklisting by major providers, even if your content is clean. This isn't just a tech glitch—it’s a deliverability bomb ticking in your automation pipeline.

How SPF issues spiral into real business impact

  • You lose deliverability when emails are rejected due to SPF failures—this isn’t a rare edge case, it’s a consistent problem if your authentication isn’t aligned with your sender identity.
  • Rejection rates above 2% start to hurt sender reputation with providers like Gmail and Microsoft, who monitor authentication success as part of their filtering stack RFC 7208.
  • Repeated sync failures during automation can trigger rate limiting by email providers, slowing down or halting campaign delivery until the issue is resolved.
  • If invalid domains are included in automated sends—due to unverified addresses or malformed SPF—your engagement metrics (open rates, click rates) drop, making your data misleading and harder to optimize with.
  • Over time, failed deliveries on misconfigured or invalid domains compound. Providers like Spamhaus or MXToolbox track historical sending behavior, so unresolved issues increase the risk of being added to blocklists.
  • Fixing this after the fact is harder than preventing it: cleanup requires auditing old lists, resetting sender identities, and re-earning trust with providers, a process that can take weeks.

Let’s fix the root cause, not just the symptoms

SPF failures during Salesforce syncs aren’t just an email technicality—they’re a direct leak in your outbound messaging system. If your domain doesn’t authorize Salesforce’s servers as valid senders, every message sent via the platform will fail. Real-world verification can catch this early: before you waste sends on addresses that aren’t even valid.

Use a tool that checks SPF, MX, and domain health in real time. Real-time verification helps you catch misconfigurations before they cause mass rejection. For bulk lists, bulk verification gives you a clean, reliable source, reducing the risk of unauthorized sender errors during automation. If you’re unsure whether a domain is valid or properly authenticated, check it with a service that validates both the syntax and behavior of the send envelope.

SPF misconfigurations don’t vanish. They accumulate, degrade reputation, and eventually block entire pipelines. Addressing them early—especially when syncing with Salesforce—isn’t technical hygiene. It’s part of ensuring your message actually reaches the inbox.

Summary: Fix SPF, prevent 550 5.7.1, and ensure Salesforce sends reliably

SPF record issues during Salesforce email sync commonly stem from missing or misconfigured SPF records. Without explicit authorization, Salesforce’s IP range fails authentication, triggering the 550 5.7.1 error.

To resolve this, your domain’s SPF record must include include:_spf.salesforce.com. This ensures Salesforce is authorized to send on your behalf. Use real-time verification to detect and correct such flaws before they disrupt sending.

Email List Validation’s bulk verification and API tools let you test and fix SPF, DKIM, and DMARC configurations at scale. Proactive management of these protocols improves inbox placement and prevents sync failures.

Keep reading

Ready to put this into practice? Email List Validation verifies emails with 98.9% accuracy — start with 100 free verifications.

Frequently asked questions

What does 550 5.7.1 sender not authorized mean?

It means the receiving mail server rejected the email because the sending IP is not authorized in the domain’s SPF record.

Does Salesforce need its own SPF record?

No. Salesforce uses the customer’s domain SPF record. The record must include Salesforce’s policy to allow sending.

How many SPF lookups are allowed?

Most mail servers allow up to 10 DNS lookups. Exceeding this limit can cause SPF to fail.

Can I have multiple SPF records?

No. Multiple SPF records cause a DNS parsing error. Consolidate all policy statements into a single TXT record.

Why does my email work in test but not in production sync?

The production environment may enforce stricter SPF checks or use different validation chains than testing environments.

How can I check my SPF record?

Use a DNS lookup tool like MxToolbox or dig. Ensure the record includes 'v=spf1 include:_spf.salesforce.com -all'.

Does DKIM alone fix 550 5.7.1 errors?

No. SPF is checked independently. A DKIM pass doesn’t override an SPF failure if the sender IP is not authorized.

Can a catch-all email domain cause SPF issues?

Not directly. But catch-all domains often host invalid or role addresses, which can harm deliverability when included in lists.

What happens if I use 'include:spf.salesforce.com' without 'v=spf1'?

The SPF record is invalid. It must begin with 'v=spf1' and use proper syntax.

How does Email List Validation help with SPF issues?

It checks SPF, DKIM, and DMARC during email verification and flags domains with authentication issues before sending.